import request from '@/utils/request'


/*
回收站接口
@author:梁逸
@date：2020-7-15
 */

// 查询【回收站】列表
export function listInfo(query) {
  return request({
    // url: '/system/email/huishouzhan/list',
    url: '/system/email/huishouzhan/list',
    method: 'get',
    params: query
  })
}

// 查询【根据id查询邮件】详细
export function getInfo(mailGuid,flg) {
  return request({
    url: '/system/email/huishouzhan/' + mailGuid  + '/' + flg,
    method: 'get'
  })
}



// 查询【回收站】列表
export function findhs(query) {
  return request({
    url: '/system/email/huishouzhan/listquery',
    method: 'get',
    params: query
  })
}

// 新增【请填写功能名称】
export function addInfo(data) {
  return request({
    url: '/system/email/huishouzhan',
    method: 'post',
    data: data
  })
}

// 撤销【回收站邮件撤销】
export function revokers(mailGuid,flg) {
  return request({
    url: '/system/email/huishouzhan/edit1/' + mailGuid  + '/' + flg,
    method: 'get',
  })
}
// export function updateInfo(data) {
//   return request({
//     url: '/system/email/huishouzhan',
//     method: 'put',
//     data: data
//   })
// }

// 彻底删除【根据id和状态删除】
export function delInfo(mailGuid,flg) {
  return request({
    url: '/system/email/huishouzhan/' + mailGuid + '/' + flg,
    method: 'delete'

  })
}


